import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:tetrisdual/cubit/game_cubit.dart';

class QuitGameButton extends StatelessWidget {
  const QuitGameButton({super.key});

  @override
  Widget build(BuildContext context) {
    return TextButton(
      child: const Image(
        image: AssetImage('assets/ui/button_back.png'),
        fit: BoxFit.fill,
      ),
      onPressed: () {
        BlocProvider.of<GameCubit>(context).quitGame();
      },
    );
  }
}
